Loading...
Searching...
No Matches
processed_grid Struct Reference

Result structure representing minimal derived topology and geometry of a geological model in corner-point format. More...

`#include <preprocess.h>`

## Public Attributes

int | m
| Upper bound on "number_of_faces".
int | n
| Upper bound on "number_of_nodes".
int | dimensions [3]
| Cartesian box dimensions.
unsigned | number_of_faces
| Total number of unique grid faces (i.e., connections).
int * | face_nodes
| Node (vertex) numbers of each face, stored sequentially.
unsigned int * | face_node_ptr
| Start position for each face's 'face_nodes'.
int * | face_neighbors
| Global cell numbers.
enum face_tag * | face_tag
| Classification of grid's individual connections (faces).
unsigned int * | cell_face_ptr
| Start position for each cell's 'cell_faces'.
int * | cell_faces
| Face numbers of each cell, stored sequentially.
int | number_of_nodes
| Number of unique grid vertices.
int | number_of_nodes_on_pillars
| Total number of unique cell vertices that lie on pillars.
double * | node_coordinates
| Vertex coordinates.
int | number_of_cells
| Number of active grid cells.
int * | local_cell_index
| Deceptively named local-to-global cell index mapping.

## Detailed Description

Result structure representing minimal derived topology and geometry of a geological model in corner-point format.

## Member Data Documentation

## cell_faces

int* processed_grid::cell_faces

Face numbers of each cell, stored sequentially.

Indexed by cell_face_ptr.

## face_neighbors

int* processed_grid::face_neighbors

Global cell numbers.

Two elements per face, stored sequentially.

## m

int processed_grid::m

Upper bound on "number_of_faces".

For internal use in function process_grid()'s memory management.

## n

int processed_grid::n

Upper bound on "number_of_nodes".

For internal use in function process_grid()'s memory management.

## node_coordinates

double* processed_grid::node_coordinates

Vertex coordinates.

Three doubles ( , , ) per vertex, stored sequentially.

The documentation for this struct was generated from the following file:

- opm/grid/cpgpreprocess/preprocess.h